ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
odf.odfmanifest.ODFManifestHandler Class Reference

The ODFManifestHandler parses a manifest file and produces a list of content. More...

Inheritance diagram for odf.odfmanifest.ODFManifestHandler:
[legend]
Collaboration diagram for odf.odfmanifest.ODFManifestHandler:
[legend]

## Public Member Functions
| __init__ (self)
| handle_starttag (self, tag, method, attrs)
| handle_endtag (self, tag, method)
| startElementNS (self, tag, qname, attrs)
| endElementNS (self, tag, qname)
| unknown_starttag (self, tag, attrs)
| unknown_endtag (self, tag)
| donothing (self, tag, attrs=None)
| s_file_entry (self, tag, attrs)

## Public Attributes
| manifest
| elements
| s_file_entry
| donothing

## Detailed Description

The ODFManifestHandler parses a manifest file and produces a list of content.

Definition at line 43 of file odfmanifest.py.

## Constructor & Destructor Documentation

## ◆ __init__()

odf.odfmanifest.ODFManifestHandler.__init__ | ( |  | self | ) |

Definition at line 45 of file odfmanifest.py.

## Member Function Documentation

## ◆ donothing()

odf.odfmanifest.ODFManifestHandler.donothing | ( |  | self,
|  |  | tag,
|  |  | attrs = `None`
| ) |  |

Definition at line 80 of file odfmanifest.py.

## ◆ endElementNS()

odf.odfmanifest.ODFManifestHandler.endElementNS | ( |  | self,
|  |  | tag,
|  |  | qname
| ) |  |

Definition at line 67 of file odfmanifest.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ handle_endtag()

odf.odfmanifest.ODFManifestHandler.handle_endtag | ( |  | self,
|  |  | tag,
|  |  | method
| ) |  |

Definition at line 57 of file odfmanifest.py.

Here is the caller graph for this function:

## ◆ handle_starttag()

odf.odfmanifest.ODFManifestHandler.handle_starttag | ( |  | self,
|  |  | tag,
|  |  | method,
|  |  | attrs
| ) |  |

Definition at line 54 of file odfmanifest.py.

Here is the caller graph for this function:

## ◆ s_file_entry()

odf.odfmanifest.ODFManifestHandler.s_file_entry | ( |  | self,
|  |  | tag,
|  |  | attrs
| ) |  |

Definition at line 83 of file odfmanifest.py.

## ◆ startElementNS()

odf.odfmanifest.ODFManifestHandler.startElementNS | ( |  | self,
|  |  | tag,
|  |  | qname,
|  |  | attrs
| ) |  |

Definition at line 60 of file odfmanifest.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unknown_endtag()

odf.odfmanifest.ODFManifestHandler.unknown_endtag | ( |  | self,
|  |  | tag
| ) |  |

Definition at line 77 of file odfmanifest.py.

Here is the caller graph for this function:

## ◆ unknown_starttag()

odf.odfmanifest.ODFManifestHandler.unknown_starttag | ( |  | self,
|  |  | tag,
|  |  | attrs
| ) |  |

Definition at line 74 of file odfmanifest.py.

Here is the caller graph for this function:

## Member Data Documentation

## ◆ donothing

odf.odfmanifest.ODFManifestHandler.donothing

Definition at line 51 of file odfmanifest.py.

## ◆ elements

odf.odfmanifest.ODFManifestHandler.elements

Definition at line 50 of file odfmanifest.py.

## ◆ manifest

odf.odfmanifest.ODFManifestHandler.manifest

Definition at line 46 of file odfmanifest.py.

## ◆ s_file_entry

odf.odfmanifest.ODFManifestHandler.s_file_entry

Definition at line 51 of file odfmanifest.py.

The documentation for this class was generated from the following file:

- odf/odfmanifest.py